## q2-metadata 2022.8.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_metadata

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-metadata 2020.11.1+dfsg

=== debian/changelog ===
q2-metadata (2020.11.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Override breakout-link; it affects a javascript component
  * Bump dependency on Qiime 2 distribution 2020.11.1

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 12 Dec 2020 16:35:24 +0100

q2-metadata (2020.11.0+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream version (Closes: #974726)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 02 Dec 2020 18:10:46 +0100

q2-metadata (2019.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Feb 2020 09:06:23 +0100

q2-metadata (2019.10.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #930755)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 29 Dec 2019 16:56:02 +0300

=== debian/control ===
Source: q2-metadata
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-pandas,
               python3-skbio,
               libjs-jquery-datatables,
               qiime (>= 2020.11.1),
               q2templates (>= 2020.11.1),
               q2-types (>= 2020.11.1)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-metadata
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-pandas,
         python3-skbio,
         libjs-jquery-datatables,
         qiime (>= 2020.11.1),
         q2templates (>= 2020.11.1),
         q2-types (>= 2020.11.1)
Description: QIIME 2 plugin for working with and visualizing Metadata
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz, \
  filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-metadata/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-metadata 2021.8.0

=== debian/changelog ===
q2-metadata (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d/salsa-ci.yml: disable build test on i386, due to missing python3-skbio

  [ Steffen Moeller ]
  * New upstream version.
  * Added myself to uploaders
  * d/u/metadata: cosmetics, added ref to conda
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:05:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: q2-metadata
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>,
+           Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,10 +13,10 @@
                python3-pandas,
                python3-skbio,
                libjs-jquery-datatables,
-               qiime (>= 2020.11.1),
-               q2templates (>= 2020.11.1),
-               q2-types (>= 2020.11.1)
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2templates (>= 2021.8.0),
+               q2-types (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
 Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
 Homepage: https://qiime2.org/
@@ -31,9 +32,9 @@
          python3-pandas,
          python3-skbio,
          libjs-jquery-datatables,
-         qiime (>= 2020.11.1),
-         q2templates (>= 2020.11.1),
-         q2-types (>= 2020.11.1)
+         qiime (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
+         q2-types (>= 2021.8.0)
 Description: QIIME 2 plugin for working with and visualizing Metadata
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# we need datatables.min.js for the tests
export PYBUILD_BEFORE_TEST=ln -s \
	/usr/share/javascript/jquery-datatables/jquery.dataTables.min.js \
	{build_dir}/q2_metadata/templates/tabulate/datatables.min.js

export PYBUILD_BEFORE_INSTALL=rm -vf {build_dir}/.coverage*

export PYBUILD_AFTER_INSTALL=ln -vsf \
	/usr/share/javascript/jquery-datatables/jquery.dataTables.min.js \
	/{destdir}/{install_dir}/q2_metadata/templates/tabulate/datatables.min.js

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_metadata"
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-metadata/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## q2-metadata 2022.2.0

=== debian/changelog ===
q2-metadata (2022.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Bump versioned (Build-)Depends to latest qiime version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 14:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python3-pandas,
                python3-skbio,
                libjs-jquery-datatables,
-               qiime (>= 2021.8.0),
-               q2templates (>= 2021.8.0),
-               q2-types (>= 2021.8.0)
-Standards-Version: 4.6.0
+               qiime (>= 2022.2.0),
+               q2templates (>= 2022.2.0),
+               q2-types (>= 2022.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
 Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
 Homepage: https://qiime2.org/
@@ -32,9 +32,9 @@
          python3-pandas,
          python3-skbio,
          libjs-jquery-datatables,
-         qiime (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
-         q2-types (>= 2021.8.0)
+         qiime (>= 2022.2.0),
+         q2templates (>= 2022.2.0),
+         q2-types (>= 2022.2.0)
 Description: QIIME 2 plugin for working with and visualizing Metadata
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-metadata 2022.8.0

=== debian/changelog ===
q2-metadata (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * Update dependency on qiime/q2-* >= 2022.8.0

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 12:01:49 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                python3-pandas,
                python3-skbio,
                libjs-jquery-datatables,
-               qiime (>= 2022.2.0),
-               q2templates (>= 2022.2.0),
-               q2-types (>= 2022.2.0)
+               qiime (>= 2022.8.0),
+               q2templates (>= 2022.8.0),
+               q2-types (>= 2022.8.0)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
 Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
@@ -32,9 +32,9 @@
          python3-pandas,
          python3-skbio,
          libjs-jquery-datatables,
-         qiime (>= 2022.2.0),
-         q2templates (>= 2022.2.0),
-         q2-types (>= 2022.2.0)
+         qiime (>= 2022.8.0),
+         q2templates (>= 2022.8.0),
+         q2-types (>= 2022.8.0)
 Description: QIIME 2 plugin for working with and visualizing Metadata
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-metadata 2024.2.0+dfsg

=== debian/changelog ===
q2-metadata (2024.2.0+dfsg-1ubuntu1) oracular; urgency=medium

  * d/p/python3.12.patch: add support for python 3.12

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 03 Jun 2024 16:38:56 -0300

q2-metadata (2024.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:12:04 +0100

q2-metadata (2023.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 19:47:51 +0100

q2-metadata (2023.7.0+dfsg-2) unstable; urgency=medium

  * d/control: depend on q2-types (>= 2023.7.0).
    Older versions of this package in the archive miss the type metadata
    necessary for covering the autopkgtest.
  * d/copyright: update years and packaging contributors.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 20:14:29 +0200

q2-metadata (2023.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2023.7.0+dfsg
  * d/clean: remove python egg info. (Closes: #1047153)

 -- Étienne Mollier <emollier@debian.org>  Sat, 19 Aug 2023 10:19:15 +0200

q2-metadata (2022.11.1+dfsg-0exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)
  * Mark build time test as always true since registration to qiime can
    only be done at autopkgtest time
  * Adopt patch from upstream which needs a Dependency from
    q2-quality-filter
  * Build against scipy >= 1.9 and skbio in experimental
    Closes: #1029699
  * Advertise repackaged source in tarball name
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 16:45:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-metadata
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Étienne Mollier <emollier@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-pytest-cov,
                python3-pandas,
-               python3-skbio,
+               python3-skbio (>= 0.5.8-2exp1~),
                libjs-jquery-datatables,
-               qiime (>= 2022.8.0),
-               q2templates (>= 2022.8.0),
-               q2-types (>= 2022.8.0)
-Standards-Version: 4.6.1
+               qiime (>= 2024.2),
+               q2templates (>= 2024.2),
+               q2-quality-filter (>= 2024.2),
+               q2-types (>= 2024.2)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
 Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
 Homepage: https://qiime2.org/
@@ -28,13 +31,14 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-numpy,
-         python3-scipy,
+         python3-scipy (>= 1.9),
          python3-pandas,
-         python3-skbio,
+         python3-skbio (>= 0.5.8-2exp1~),
          libjs-jquery-datatables,
-         qiime (>= 2022.8.0),
-         q2templates (>= 2022.8.0),
-         q2-types (>= 2022.8.0)
+         qiime (>= 2022.11.1),
+         q2templates (>= 2024.2),
+         q2-quality-filter (>= 2024.2),
+         q2-types (>= 2024.2)
 Description: QIIME 2 plugin for working with and visualizing Metadata
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-metadata 2024.5.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,21 @@
 	/usr/share/javascript/jquery-datatables/jquery.dataTables.min.js \
 	/{destdir}/{install_dir}/q2_metadata/templates/tabulate/datatables.min.js
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
+# FIXME: similarly to the qiime and q2-types packages, the build time testing fails, as
+#        the Qiime plugin system is not fully available at this point of the package
+#        construction.  The test suite is only run at autopkgtest time, but this
+#        is not ideal, since the only tested python version is the default one.
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_metadata"
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_metadata" || true
 endif

## q2-metadata 2024.5.0+dfsg

=== debian/changelog ===
q2-metadata (2024.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 14:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # This file is autogenerated from control.in to update versioned dependencies
 Source: q2-metadata
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Étienne Mollier <emollier@debian.org>,
            Steffen Moeller <moeller@debian.org>
@@ -15,10 +14,10 @@
                python3-pandas,
                python3-skbio (>= 0.5.8-2exp1~),
                libjs-jquery-datatables,
-               qiime (>= 2024.2),
-               q2templates (>= 2024.2),
-               q2-quality-filter (>= 2024.2),
-               q2-types (>= 2024.2)
+               qiime (>= 2024.5),
+               q2templates (>= 2024.5),
+               q2-quality-filter (>= 2024.5),
+               q2-types (>= 2024.5)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-metadata
 Vcs-Git: https://salsa.debian.org/med-team/q2-metadata.git
@@ -36,9 +35,9 @@
          python3-skbio (>= 0.5.8-2exp1~),
          libjs-jquery-datatables,
          qiime (>= 2022.11.1),
-         q2templates (>= 2024.2),
-         q2-quality-filter (>= 2024.2),
-         q2-types (>= 2024.2)
+         q2templates (>= 2024.5),
+         q2-quality-filter (>= 2024.5),
+         q2-types (>= 2024.5)
 Description: QIIME 2 plugin for working with and visualizing Metadata
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-metadata/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
